/* PasswordManager.c generated by valac 0.45.91, the Vala compiler
 * generated from PasswordManager.vala, do not modify */

/*
* Copyright (c) 2011-2018 Alecaddd (http://alecaddd.com)
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public
* License as published by the Free Software Foundation; either
* version 2 of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* You should have received a copy of the GNU General Public
* License along with this program; if not, write to the
* Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
* Boston, MA 02110-1301 USA
*
* Authored by: Alessandro "Alecaddd" Castellani <castellani.ale@gmail.com>
*/

#include <glib-object.h>
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <libsecret/secret.h>

#define SEQUELER_SERVICES_TYPE_PASSWORD_MANAGER (sequeler_services_password_manager_get_type ())
#define SEQUELER_SERVICES_PASSWORD_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), SEQUELER_SERVICES_TYPE_PASSWORD_MANAGER, SequelerServicesPasswordManager))
#define SEQUELER_SERVICES_PASSWORD_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), SEQUELER_SERVICES_TYPE_PASSWORD_MANAGER, SequelerServicesPasswordManagerClass))
#define SEQUELER_SERVICES_IS_PASSWORD_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), SEQUELER_SERVICES_TYPE_PASSWORD_MANAGER))
#define SEQUELER_SERVICES_IS_PASSWORD_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), SEQUELER_SERVICES_TYPE_PASSWORD_MANAGER))
#define SEQUELER_SERVICES_PASSWORD_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), SEQUELER_SERVICES_TYPE_PASSWORD_MANAGER, SequelerServicesPasswordManagerClass))

typedef struct _SequelerServicesPasswordManager SequelerServicesPasswordManager;
typedef struct _SequelerServicesPasswordManagerClass SequelerServicesPasswordManagerClass;
typedef struct _SequelerServicesPasswordManagerPrivate SequelerServicesPasswordManagerPrivate;
enum  {
	SEQUELER_SERVICES_PASSWORD_MANAGER_0_PROPERTY,
	SEQUELER_SERVICES_PASSWORD_MANAGER_NUM_PROPERTIES
};
static GParamSpec* sequeler_services_password_manager_properties[SEQUELER_SERVICES_PASSWORD_MANAGER_NUM_PROPERTIES];
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_hash_table_unref0(var) ((var == NULL) ? NULL : (var = (g_hash_table_unref (var), NULL)))
typedef struct _SequelerServicesPasswordManagerStorePasswordAsyncData SequelerServicesPasswordManagerStorePasswordAsyncData;
typedef struct _SequelerServicesPasswordManagerGetPasswordAsyncData SequelerServicesPasswordManagerGetPasswordAsyncData;
typedef struct _SequelerServicesPasswordManagerClearPasswordAsyncData SequelerServicesPasswordManagerClearPasswordAsyncData;
typedef struct _SequelerServicesPasswordManagerClearAllPasswordsAsyncData SequelerServicesPasswordManagerClearAllPasswordsAsyncData;

struct _SequelerServicesPasswordManager {
	GObject parent_instance;
	SequelerServicesPasswordManagerPrivate * priv;
};

struct _SequelerServicesPasswordManagerClass {
	GObjectClass parent_class;
	void (*store_password_async) (SequelerServicesPasswordManager* self, const gchar* id, const gchar* password, GAsyncReadyCallback _callback_, gpointer _user_data_);
	void (*store_password_finish) (SequelerServicesPasswordManager* self, GAsyncResult* _res_, GError** error);
	void (*get_password_async) (SequelerServicesPasswordManager* self, const gchar* id, GAsyncReadyCallback _callback_, gpointer _user_data_);
	gchar* (*get_password_finish) (SequelerServicesPasswordManager* self, GAsyncResult* _res_, GError** error);
	void (*clear_password_async) (SequelerServicesPasswordManager* self, const gchar* id, GAsyncReadyCallback _callback_, gpointer _user_data_);
	void (*clear_password_finish) (SequelerServicesPasswordManager* self, GAsyncResult* _res_, GError** error);
	void (*clear_all_passwords_async) (SequelerServicesPasswordManager* self, GAsyncReadyCallback _callback_, gpointer _user_data_);
	void (*clear_all_passwords_finish) (SequelerServicesPasswordManager* self, GAsyncResult* _res_, GError** error);
};

struct _SequelerServicesPasswordManagerStorePasswordAsyncData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GTask* _async_result;
	SequelerServicesPasswordManager* self;
	gchar* id;
	gchar* password;
	GHashTable* attributes;
	GHashFunc _tmp0_;
	GEqualFunc _tmp1_;
	GHashTable* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
	gchar* key_name;
	gchar* _tmp7_;
	gboolean _result_;
	SecretSchema* _tmp8_;
	GError* _inner_error0_;
};

struct _SequelerServicesPasswordManagerGetPasswordAsyncData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GTask* _async_result;
	SequelerServicesPasswordManager* self;
	gchar* id;
	gchar* result;
	GHashTable* attributes;
	GHashFunc _tmp0_;
	GEqualFunc _tmp1_;
	GHashTable* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
	gchar* key_name;
	gchar* _tmp7_;
	gchar* password;
	SecretSchema* _tmp8_;
	gchar* _tmp9_;
	GError* _inner_error0_;
};

struct _SequelerServicesPasswordManagerClearPasswordAsyncData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GTask* _async_result;
	SequelerServicesPasswordManager* self;
	gchar* id;
	GHashTable* attributes;
	GHashFunc _tmp0_;
	GEqualFunc _tmp1_;
	GHashTable* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
	gchar* key_name;
	gchar* _tmp7_;
	gboolean removed;
	SecretSchema* _tmp8_;
	GError* _inner_error0_;
};

struct _SequelerServicesPasswordManagerClearAllPasswordsAsyncData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GTask* _async_result;
	SequelerServicesPasswordManager* self;
	GHashTable* attributes;
	GHashFunc _tmp0_;
	GEqualFunc _tmp1_;
	GHashTable* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gboolean removed;
	SecretSchema* _tmp5_;
	GError* _inner_error0_;
};

static gpointer sequeler_services_password_manager_parent_class = NULL;
extern SecretSchema* sequeler_schema;

GType sequeler_services_password_manager_get_type (void) G_GNUC_CONST;
G_DEFINE_AUTOPTR_CLEANUP_FUNC (SequelerServicesPasswordManager, g_object_unref)
static void sequeler_services_password_manager_real_store_password_async_data_free (gpointer _data);
static void sequeler_services_password_manager_real_store_password_async (SequelerServicesPasswordManager* self,
                                                                   const gchar* id,
                                                                   const gchar* password,
                                                                   GAsyncReadyCallback _callback_,
                                                                   gpointer _user_data_);
void sequeler_services_password_manager_store_password_async (SequelerServicesPasswordManager* self,
                                                              const gchar* id,
                                                              const gchar* password,
                                                              GAsyncReadyCallback _callback_,
                                                              gpointer _user_data_);
void sequeler_services_password_manager_store_password_finish (SequelerServicesPasswordManager* self,
                                                               GAsyncResult* _res_,
                                                               GError** error);
static gboolean sequeler_services_password_manager_real_store_password_async_co (SequelerServicesPasswordManagerStorePasswordAsyncData* _data_);
static void _g_free0_ (gpointer var);
#define CONSTANTS_PROJECT_NAME "com.github.alecaddd.sequeler"
static void sequeler_services_password_manager_store_password_async_ready (GObject* source_object,
                                                                    GAsyncResult* _res_,
                                                                    gpointer _user_data_);
static void sequeler_services_password_manager_real_get_password_async_data_free (gpointer _data);
static void sequeler_services_password_manager_real_get_password_async (SequelerServicesPasswordManager* self,
                                                                 const gchar* id,
                                                                 GAsyncReadyCallback _callback_,
                                                                 gpointer _user_data_);
void sequeler_services_password_manager_get_password_async (SequelerServicesPasswordManager* self,
                                                            const gchar* id,
                                                            GAsyncReadyCallback _callback_,
                                                            gpointer _user_data_);
gchar* sequeler_services_password_manager_get_password_finish (SequelerServicesPasswordManager* self,
                                                               GAsyncResult* _res_,
                                                               GError** error);
static gboolean sequeler_services_password_manager_real_get_password_async_co (SequelerServicesPasswordManagerGetPasswordAsyncData* _data_);
static void sequeler_services_password_manager_get_password_async_ready (GObject* source_object,
                                                                  GAsyncResult* _res_,
                                                                  gpointer _user_data_);
static void sequeler_services_password_manager_real_clear_password_async_data_free (gpointer _data);
static void sequeler_services_password_manager_real_clear_password_async (SequelerServicesPasswordManager* self,
                                                                   const gchar* id,
                                                                   GAsyncReadyCallback _callback_,
                                                                   gpointer _user_data_);
void sequeler_services_password_manager_clear_password_async (SequelerServicesPasswordManager* self,
                                                              const gchar* id,
                                                              GAsyncReadyCallback _callback_,
                                                              gpointer _user_data_);
void sequeler_services_password_manager_clear_password_finish (SequelerServicesPasswordManager* self,
                                                               GAsyncResult* _res_,
                                                               GError** error);
static gboolean sequeler_services_password_manager_real_clear_password_async_co (SequelerServicesPasswordManagerClearPasswordAsyncData* _data_);
static void sequeler_services_password_manager_clear_password_async_ready (GObject* source_object,
                                                                    GAsyncResult* _res_,
                                                                    gpointer _user_data_);
static void sequeler_services_password_manager_real_clear_all_passwords_async_data_free (gpointer _data);
static void sequeler_services_password_manager_real_clear_all_passwords_async (SequelerServicesPasswordManager* self,
                                                                        GAsyncReadyCallback _callback_,
                                                                        gpointer _user_data_);
void sequeler_services_password_manager_clear_all_passwords_async (SequelerServicesPasswordManager* self,
                                                                   GAsyncReadyCallback _callback_,
                                                                   gpointer _user_data_);
void sequeler_services_password_manager_clear_all_passwords_finish (SequelerServicesPasswordManager* self,
                                                                    GAsyncResult* _res_,
                                                                    GError** error);
static gboolean sequeler_services_password_manager_real_clear_all_passwords_async_co (SequelerServicesPasswordManagerClearAllPasswordsAsyncData* _data_);
static void sequeler_services_password_manager_clear_all_passwords_async_ready (GObject* source_object,
                                                                         GAsyncResult* _res_,
                                                                         gpointer _user_data_);
SequelerServicesPasswordManager* sequeler_services_password_manager_new (void);
SequelerServicesPasswordManager* sequeler_services_password_manager_construct (GType object_type);

static void
sequeler_services_password_manager_real_store_password_async_data_free (gpointer _data)
{
	SequelerServicesPasswordManagerStorePasswordAsyncData* _data_;
	_data_ = _data;
#line 22 "../src/Services/PasswordManager.vala"
	_g_free0 (_data_->id);
#line 22 "../src/Services/PasswordManager.vala"
	_g_free0 (_data_->password);
#line 22 "../src/Services/PasswordManager.vala"
	_g_object_unref0 (_data_->self);
#line 22 "../src/Services/PasswordManager.vala"
	g_slice_free (SequelerServicesPasswordManagerStorePasswordAsyncData, _data_);
#line 246 "PasswordManager.c"
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 22 "../src/Services/PasswordManager.vala"
	return self ? g_object_ref (self) : NULL;
#line 254 "PasswordManager.c"
}

static void
sequeler_services_password_manager_real_store_password_async (SequelerServicesPasswordManager* self,
                                                              const gchar* id,
                                                              const gchar* password,
                                                              GAsyncReadyCallback _callback_,
                                                              gpointer _user_data_)
{
	SequelerServicesPasswordManagerStorePasswordAsyncData* _data_;
	SequelerServicesPasswordManager* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
#line 22 "../src/Services/PasswordManager.vala"
	_data_ = g_slice_new0 (SequelerServicesPasswordManagerStorePasswordAsyncData);
#line 22 "../src/Services/PasswordManager.vala"
	_data_->_async_result = g_task_new (G_OBJECT (self), NULL, _callback_, _user_data_);
#line 22 "../src/Services/PasswordManager.vala"
	g_task_set_task_data (_data_->_async_result, _data_, sequeler_services_password_manager_real_store_password_async_data_free);
#line 22 "../src/Services/PasswordManager.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 22 "../src/Services/PasswordManager.vala"
	_data_->self = _tmp0_;
#line 22 "../src/Services/PasswordManager.vala"
	_tmp1_ = g_strdup (id);
#line 22 "../src/Services/PasswordManager.vala"
	_g_free0 (_data_->id);
#line 22 "../src/Services/PasswordManager.vala"
	_data_->id = _tmp1_;
#line 22 "../src/Services/PasswordManager.vala"
	_tmp2_ = g_strdup (password);
#line 22 "../src/Services/PasswordManager.vala"
	_g_free0 (_data_->password);
#line 22 "../src/Services/PasswordManager.vala"
	_data_->password = _tmp2_;
#line 22 "../src/Services/PasswordManager.vala"
	sequeler_services_password_manager_real_store_password_async_co (_data_);
#line 292 "PasswordManager.c"
}

static void
sequeler_services_password_manager_real_store_password_finish (SequelerServicesPasswordManager* self,
                                                               GAsyncResult* _res_,
                                                               GError** error)
{
	SequelerServicesPasswordManagerStorePasswordAsyncData* _data_;
#line 22 "../src/Services/PasswordManager.vala"
	_data_ = g_task_propagate_pointer (G_TASK (_res_), error);
#line 22 "../src/Services/PasswordManager.vala"
	if (NULL == _data_) {
#line 22 "../src/Services/PasswordManager.vala"
		return;
#line 307 "PasswordManager.c"
	}
}

static void
_g_free0_ (gpointer var)
{
#line 26 "../src/Services/PasswordManager.vala"
	var = (g_free (var), NULL);
#line 316 "PasswordManager.c"
}

static void
sequeler_services_password_manager_store_password_async_ready (GObject* source_object,
                                                               GAsyncResult* _res_,
                                                               gpointer _user_data_)
{
	SequelerServicesPasswordManagerStorePasswordAsyncData* _data_;
#line 32 "../src/Services/PasswordManager.vala"
	_data_ = _user_data_;
#line 32 "../src/Services/PasswordManager.vala"
	_data_->_source_object_ = source_object;
#line 32 "../src/Services/PasswordManager.vala"
	_data_->_res_ = _res_;
#line 32 "../src/Services/PasswordManager.vala"
	sequeler_services_password_manager_real_store_password_async_co (_data_);
#line 333 "PasswordManager.c"
}

static gboolean
sequeler_services_password_manager_real_store_password_async_co (SequelerServicesPasswordManagerStorePasswordAsyncData* _data_)
{
#line 25 "../src/Services/PasswordManager.vala"
	switch (_data_->_state_) {
#line 25 "../src/Services/PasswordManager.vala"
		case 0:
#line 343 "PasswordManager.c"
		goto _state_0;
#line 25 "../src/Services/PasswordManager.vala"
		case 1:
#line 347 "PasswordManager.c"
		goto _state_1;
		default:
#line 25 "../src/Services/PasswordManager.vala"
		g_assert_not_reached ();
#line 352 "PasswordManager.c"
	}
	_state_0:
#line 26 "../src/Services/PasswordManager.vala"
	_data_->_tmp0_ = g_str_hash;
#line 26 "../src/Services/PasswordManager.vala"
	_data_->_tmp1_ = g_str_equal;
#line 26 "../src/Services/PasswordManager.vala"
	_data_->_tmp2_ = g_hash_table_new_full (_data_->_tmp0_, _data_->_tmp1_, _g_free0_, _g_free0_);
#line 26 "../src/Services/PasswordManager.vala"
	_data_->attributes = _data_->_tmp2_;
#line 27 "../src/Services/PasswordManager.vala"
	_data_->_tmp3_ = g_strdup ("id");
#line 27 "../src/Services/PasswordManager.vala"
	_data_->_tmp4_ = g_strdup (_data_->id);
#line 27 "../src/Services/PasswordManager.vala"
	g_hash_table_insert (_data_->attributes, _data_->_tmp3_, _data_->_tmp4_);
#line 28 "../src/Services/PasswordManager.vala"
	_data_->_tmp5_ = g_strdup ("schema");
#line 28 "../src/Services/PasswordManager.vala"
	_data_->_tmp6_ = g_strdup (CONSTANTS_PROJECT_NAME);
#line 28 "../src/Services/PasswordManager.vala"
	g_hash_table_insert (_data_->attributes, _data_->_tmp5_, _data_->_tmp6_);
#line 30 "../src/Services/PasswordManager.vala"
	_data_->_tmp7_ = g_strconcat (CONSTANTS_PROJECT_NAME ".", _data_->id, NULL);
#line 30 "../src/Services/PasswordManager.vala"
	_data_->key_name = _data_->_tmp7_;
#line 32 "../src/Services/PasswordManager.vala"
	_data_->_tmp8_ = sequeler_schema;
#line 32 "../src/Services/PasswordManager.vala"
	_data_->_state_ = 1;
#line 32 "../src/Services/PasswordManager.vala"
	secret_password_storev (_data_->_tmp8_, _data_->attributes, SECRET_COLLECTION_DEFAULT, _data_->key_name, _data_->password, NULL, sequeler_services_password_manager_store_password_async_ready, _data_);
#line 32 "../src/Services/PasswordManager.vala"
	return FALSE;
#line 387 "PasswordManager.c"
	_state_1:
#line 32 "../src/Services/PasswordManager.vala"
	_data_->_result_ = secret_password_store_finish (_data_->_res_, &_data_->_inner_error0_);
#line 32 "../src/Services/PasswordManager.vala"
	if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 32 "../src/Services/PasswordManager.vala"
		g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 32 "../src/Services/PasswordManager.vala"
		_g_free0 (_data_->key_name);
#line 32 "../src/Services/PasswordManager.vala"
		_g_hash_table_unref0 (_data_->attributes);
#line 32 "../src/Services/PasswordManager.vala"
		g_object_unref (_data_->_async_result);
#line 32 "../src/Services/PasswordManager.vala"
		return FALSE;
#line 403 "PasswordManager.c"
	}
#line 34 "../src/Services/PasswordManager.vala"
	if (!_data_->_result_) {
#line 35 "../src/Services/PasswordManager.vala"
		g_debug ("PasswordManager.vala:35: Unable to store password for \"%s\" in libsec" \
"ret keyring", _data_->key_name);
#line 409 "PasswordManager.c"
	}
#line 25 "../src/Services/PasswordManager.vala"
	_g_free0 (_data_->key_name);
#line 25 "../src/Services/PasswordManager.vala"
	_g_hash_table_unref0 (_data_->attributes);
#line 25 "../src/Services/PasswordManager.vala"
	g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 25 "../src/Services/PasswordManager.vala"
	if (_data_->_state_ != 0) {
#line 25 "../src/Services/PasswordManager.vala"
		while (!g_task_get_completed (_data_->_async_result)) {
#line 25 "../src/Services/PasswordManager.vala"
			g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 423 "PasswordManager.c"
		}
	}
#line 25 "../src/Services/PasswordManager.vala"
	g_object_unref (_data_->_async_result);
#line 25 "../src/Services/PasswordManager.vala"
	return FALSE;
#line 430 "PasswordManager.c"
}

void
sequeler_services_password_manager_store_password_async (SequelerServicesPasswordManager* self,
                                                         const gchar* id,
                                                         const gchar* password,
                                                         GAsyncReadyCallback _callback_,
                                                         gpointer _user_data_)
{
#line 22 "../src/Services/PasswordManager.vala"
	SEQUELER_SERVICES_PASSWORD_MANAGER_GET_CLASS (self)->store_password_async (self, id, password, _callback_, _user_data_);
#line 442 "PasswordManager.c"
}

void
sequeler_services_password_manager_store_password_finish (SequelerServicesPasswordManager* self,
                                                          GAsyncResult* _res_,
                                                          GError** error)
{
#line 22 "../src/Services/PasswordManager.vala"
	SEQUELER_SERVICES_PASSWORD_MANAGER_GET_CLASS (self)->store_password_finish (self, _res_, error);
#line 452 "PasswordManager.c"
}

static void
sequeler_services_password_manager_real_get_password_async_data_free (gpointer _data)
{
	SequelerServicesPasswordManagerGetPasswordAsyncData* _data_;
	_data_ = _data;
#line 22 "../src/Services/PasswordManager.vala"
	_g_free0 (_data_->id);
#line 22 "../src/Services/PasswordManager.vala"
	_g_free0 (_data_->result);
#line 22 "../src/Services/PasswordManager.vala"
	_g_object_unref0 (_data_->self);
#line 22 "../src/Services/PasswordManager.vala"
	g_slice_free (SequelerServicesPasswordManagerGetPasswordAsyncData, _data_);
#line 468 "PasswordManager.c"
}

static void
sequeler_services_password_manager_real_get_password_async (SequelerServicesPasswordManager* self,
                                                            const gchar* id,
                                                            GAsyncReadyCallback _callback_,
                                                            gpointer _user_data_)
{
	SequelerServicesPasswordManagerGetPasswordAsyncData* _data_;
	SequelerServicesPasswordManager* _tmp0_;
	gchar* _tmp1_;
#line 22 "../src/Services/PasswordManager.vala"
	_data_ = g_slice_new0 (SequelerServicesPasswordManagerGetPasswordAsyncData);
#line 22 "../src/Services/PasswordManager.vala"
	_data_->_async_result = g_task_new (G_OBJECT (self), NULL, _callback_, _user_data_);
#line 22 "../src/Services/PasswordManager.vala"
	g_task_set_task_data (_data_->_async_result, _data_, sequeler_services_password_manager_real_get_password_async_data_free);
#line 22 "../src/Services/PasswordManager.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 22 "../src/Services/PasswordManager.vala"
	_data_->self = _tmp0_;
#line 22 "../src/Services/PasswordManager.vala"
	_tmp1_ = g_strdup (id);
#line 22 "../src/Services/PasswordManager.vala"
	_g_free0 (_data_->id);
#line 22 "../src/Services/PasswordManager.vala"
	_data_->id = _tmp1_;
#line 22 "../src/Services/PasswordManager.vala"
	sequeler_services_password_manager_real_get_password_async_co (_data_);
#line 498 "PasswordManager.c"
}

static gchar*
sequeler_services_password_manager_real_get_password_finish (SequelerServicesPasswordManager* self,
                                                             GAsyncResult* _res_,
                                                             GError** error)
{
	gchar* result;
	SequelerServicesPasswordManagerGetPasswordAsyncData* _data_;
#line 22 "../src/Services/PasswordManager.vala"
	_data_ = g_task_propagate_pointer (G_TASK (_res_), error);
#line 22 "../src/Services/PasswordManager.vala"
	if (NULL == _data_) {
#line 22 "../src/Services/PasswordManager.vala"
		return NULL;
#line 514 "PasswordManager.c"
	}
#line 22 "../src/Services/PasswordManager.vala"
	result = _data_->result;
#line 22 "../src/Services/PasswordManager.vala"
	_data_->result = NULL;
#line 22 "../src/Services/PasswordManager.vala"
	return result;
#line 522 "PasswordManager.c"
}

static void
sequeler_services_password_manager_get_password_async_ready (GObject* source_object,
                                                             GAsyncResult* _res_,
                                                             gpointer _user_data_)
{
	SequelerServicesPasswordManagerGetPasswordAsyncData* _data_;
#line 46 "../src/Services/PasswordManager.vala"
	_data_ = _user_data_;
#line 46 "../src/Services/PasswordManager.vala"
	_data_->_source_object_ = source_object;
#line 46 "../src/Services/PasswordManager.vala"
	_data_->_res_ = _res_;
#line 46 "../src/Services/PasswordManager.vala"
	sequeler_services_password_manager_real_get_password_async_co (_data_);
#line 539 "PasswordManager.c"
}

static gboolean
sequeler_services_password_manager_real_get_password_async_co (SequelerServicesPasswordManagerGetPasswordAsyncData* _data_)
{
#line 39 "../src/Services/PasswordManager.vala"
	switch (_data_->_state_) {
#line 39 "../src/Services/PasswordManager.vala"
		case 0:
#line 549 "PasswordManager.c"
		goto _state_0;
#line 39 "../src/Services/PasswordManager.vala"
		case 1:
#line 553 "PasswordManager.c"
		goto _state_1;
		default:
#line 39 "../src/Services/PasswordManager.vala"
		g_assert_not_reached ();
#line 558 "PasswordManager.c"
	}
	_state_0:
#line 40 "../src/Services/PasswordManager.vala"
	_data_->_tmp0_ = g_str_hash;
#line 40 "../src/Services/PasswordManager.vala"
	_data_->_tmp1_ = g_str_equal;
#line 40 "../src/Services/PasswordManager.vala"
	_data_->_tmp2_ = g_hash_table_new_full (_data_->_tmp0_, _data_->_tmp1_, _g_free0_, _g_free0_);
#line 40 "../src/Services/PasswordManager.vala"
	_data_->attributes = _data_->_tmp2_;
#line 41 "../src/Services/PasswordManager.vala"
	_data_->_tmp3_ = g_strdup ("id");
#line 41 "../src/Services/PasswordManager.vala"
	_data_->_tmp4_ = g_strdup (_data_->id);
#line 41 "../src/Services/PasswordManager.vala"
	g_hash_table_insert (_data_->attributes, _data_->_tmp3_, _data_->_tmp4_);
#line 42 "../src/Services/PasswordManager.vala"
	_data_->_tmp5_ = g_strdup ("schema");
#line 42 "../src/Services/PasswordManager.vala"
	_data_->_tmp6_ = g_strdup (CONSTANTS_PROJECT_NAME);
#line 42 "../src/Services/PasswordManager.vala"
	g_hash_table_insert (_data_->attributes, _data_->_tmp5_, _data_->_tmp6_);
#line 44 "../src/Services/PasswordManager.vala"
	_data_->_tmp7_ = g_strconcat (CONSTANTS_PROJECT_NAME ".", _data_->id, NULL);
#line 44 "../src/Services/PasswordManager.vala"
	_data_->key_name = _data_->_tmp7_;
#line 46 "../src/Services/PasswordManager.vala"
	_data_->_tmp8_ = sequeler_schema;
#line 46 "../src/Services/PasswordManager.vala"
	_data_->_state_ = 1;
#line 46 "../src/Services/PasswordManager.vala"
	secret_password_lookupv (_data_->_tmp8_, _data_->attributes, NULL, sequeler_services_password_manager_get_password_async_ready, _data_);
#line 46 "../src/Services/PasswordManager.vala"
	return FALSE;
#line 593 "PasswordManager.c"
	_state_1:
#line 46 "../src/Services/PasswordManager.vala"
	_data_->_tmp9_ = secret_password_lookup_finish (_data_->_res_, &_data_->_inner_error0_);
#line 46 "../src/Services/PasswordManager.vala"
	_data_->password = _data_->_tmp9_;
#line 46 "../src/Services/PasswordManager.vala"
	if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 46 "../src/Services/PasswordManager.vala"
		g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 46 "../src/Services/PasswordManager.vala"
		_g_free0 (_data_->key_name);
#line 46 "../src/Services/PasswordManager.vala"
		_g_hash_table_unref0 (_data_->attributes);
#line 46 "../src/Services/PasswordManager.vala"
		g_object_unref (_data_->_async_result);
#line 46 "../src/Services/PasswordManager.vala"
		return FALSE;
#line 611 "PasswordManager.c"
	}
#line 48 "../src/Services/PasswordManager.vala"
	if (_data_->password == NULL) {
#line 49 "../src/Services/PasswordManager.vala"
		g_debug ("PasswordManager.vala:49: Unable to fetch password in libsecret keyring" \
" for %s", _data_->key_name);
#line 617 "PasswordManager.c"
	}
#line 51 "../src/Services/PasswordManager.vala"
	_data_->result = _data_->password;
#line 51 "../src/Services/PasswordManager.vala"
	_g_free0 (_data_->key_name);
#line 51 "../src/Services/PasswordManager.vala"
	_g_hash_table_unref0 (_data_->attributes);
#line 51 "../src/Services/PasswordManager.vala"
	g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 51 "../src/Services/PasswordManager.vala"
	if (_data_->_state_ != 0) {
#line 51 "../src/Services/PasswordManager.vala"
		while (!g_task_get_completed (_data_->_async_result)) {
#line 51 "../src/Services/PasswordManager.vala"
			g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 633 "PasswordManager.c"
		}
	}
#line 51 "../src/Services/PasswordManager.vala"
	g_object_unref (_data_->_async_result);
#line 51 "../src/Services/PasswordManager.vala"
	return FALSE;
#line 640 "PasswordManager.c"
}

void
sequeler_services_password_manager_get_password_async (SequelerServicesPasswordManager* self,
                                                       const gchar* id,
                                                       GAsyncReadyCallback _callback_,
                                                       gpointer _user_data_)
{
#line 22 "../src/Services/PasswordManager.vala"
	SEQUELER_SERVICES_PASSWORD_MANAGER_GET_CLASS (self)->get_password_async (self, id, _callback_, _user_data_);
#line 651 "PasswordManager.c"
}

gchar*
sequeler_services_password_manager_get_password_finish (SequelerServicesPasswordManager* self,
                                                        GAsyncResult* _res_,
                                                        GError** error)
{
#line 22 "../src/Services/PasswordManager.vala"
	return SEQUELER_SERVICES_PASSWORD_MANAGER_GET_CLASS (self)->get_password_finish (self, _res_, error);
#line 661 "PasswordManager.c"
}

static void
sequeler_services_password_manager_real_clear_password_async_data_free (gpointer _data)
{
	SequelerServicesPasswordManagerClearPasswordAsyncData* _data_;
	_data_ = _data;
#line 22 "../src/Services/PasswordManager.vala"
	_g_free0 (_data_->id);
#line 22 "../src/Services/PasswordManager.vala"
	_g_object_unref0 (_data_->self);
#line 22 "../src/Services/PasswordManager.vala"
	g_slice_free (SequelerServicesPasswordManagerClearPasswordAsyncData, _data_);
#line 675 "PasswordManager.c"
}

static void
sequeler_services_password_manager_real_clear_password_async (SequelerServicesPasswordManager* self,
                                                              const gchar* id,
                                                              GAsyncReadyCallback _callback_,
                                                              gpointer _user_data_)
{
	SequelerServicesPasswordManagerClearPasswordAsyncData* _data_;
	SequelerServicesPasswordManager* _tmp0_;
	gchar* _tmp1_;
#line 22 "../src/Services/PasswordManager.vala"
	_data_ = g_slice_new0 (SequelerServicesPasswordManagerClearPasswordAsyncData);
#line 22 "../src/Services/PasswordManager.vala"
	_data_->_async_result = g_task_new (G_OBJECT (self), NULL, _callback_, _user_data_);
#line 22 "../src/Services/PasswordManager.vala"
	g_task_set_task_data (_data_->_async_result, _data_, sequeler_services_password_manager_real_clear_password_async_data_free);
#line 22 "../src/Services/PasswordManager.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 22 "../src/Services/PasswordManager.vala"
	_data_->self = _tmp0_;
#line 22 "../src/Services/PasswordManager.vala"
	_tmp1_ = g_strdup (id);
#line 22 "../src/Services/PasswordManager.vala"
	_g_free0 (_data_->id);
#line 22 "../src/Services/PasswordManager.vala"
	_data_->id = _tmp1_;
#line 22 "../src/Services/PasswordManager.vala"
	sequeler_services_password_manager_real_clear_password_async_co (_data_);
#line 705 "PasswordManager.c"
}

static void
sequeler_services_password_manager_real_clear_password_finish (SequelerServicesPasswordManager* self,
                                                               GAsyncResult* _res_,
                                                               GError** error)
{
	SequelerServicesPasswordManagerClearPasswordAsyncData* _data_;
#line 22 "../src/Services/PasswordManager.vala"
	_data_ = g_task_propagate_pointer (G_TASK (_res_), error);
#line 22 "../src/Services/PasswordManager.vala"
	if (NULL == _data_) {
#line 22 "../src/Services/PasswordManager.vala"
		return;
#line 720 "PasswordManager.c"
	}
}

static void
sequeler_services_password_manager_clear_password_async_ready (GObject* source_object,
                                                               GAsyncResult* _res_,
                                                               gpointer _user_data_)
{
	SequelerServicesPasswordManagerClearPasswordAsyncData* _data_;
#line 62 "../src/Services/PasswordManager.vala"
	_data_ = _user_data_;
#line 62 "../src/Services/PasswordManager.vala"
	_data_->_source_object_ = source_object;
#line 62 "../src/Services/PasswordManager.vala"
	_data_->_res_ = _res_;
#line 62 "../src/Services/PasswordManager.vala"
	sequeler_services_password_manager_real_clear_password_async_co (_data_);
#line 738 "PasswordManager.c"
}

static gboolean
sequeler_services_password_manager_real_clear_password_async_co (SequelerServicesPasswordManagerClearPasswordAsyncData* _data_)
{
#line 55 "../src/Services/PasswordManager.vala"
	switch (_data_->_state_) {
#line 55 "../src/Services/PasswordManager.vala"
		case 0:
#line 748 "PasswordManager.c"
		goto _state_0;
#line 55 "../src/Services/PasswordManager.vala"
		case 1:
#line 752 "PasswordManager.c"
		goto _state_1;
		default:
#line 55 "../src/Services/PasswordManager.vala"
		g_assert_not_reached ();
#line 757 "PasswordManager.c"
	}
	_state_0:
#line 56 "../src/Services/PasswordManager.vala"
	_data_->_tmp0_ = g_str_hash;
#line 56 "../src/Services/PasswordManager.vala"
	_data_->_tmp1_ = g_str_equal;
#line 56 "../src/Services/PasswordManager.vala"
	_data_->_tmp2_ = g_hash_table_new_full (_data_->_tmp0_, _data_->_tmp1_, _g_free0_, _g_free0_);
#line 56 "../src/Services/PasswordManager.vala"
	_data_->attributes = _data_->_tmp2_;
#line 57 "../src/Services/PasswordManager.vala"
	_data_->_tmp3_ = g_strdup ("id");
#line 57 "../src/Services/PasswordManager.vala"
	_data_->_tmp4_ = g_strdup (_data_->id);
#line 57 "../src/Services/PasswordManager.vala"
	g_hash_table_insert (_data_->attributes, _data_->_tmp3_, _data_->_tmp4_);
#line 58 "../src/Services/PasswordManager.vala"
	_data_->_tmp5_ = g_strdup ("schema");
#line 58 "../src/Services/PasswordManager.vala"
	_data_->_tmp6_ = g_strdup (CONSTANTS_PROJECT_NAME);
#line 58 "../src/Services/PasswordManager.vala"
	g_hash_table_insert (_data_->attributes, _data_->_tmp5_, _data_->_tmp6_);
#line 60 "../src/Services/PasswordManager.vala"
	_data_->_tmp7_ = g_strconcat (CONSTANTS_PROJECT_NAME ".", _data_->id, NULL);
#line 60 "../src/Services/PasswordManager.vala"
	_data_->key_name = _data_->_tmp7_;
#line 62 "../src/Services/PasswordManager.vala"
	_data_->_tmp8_ = sequeler_schema;
#line 62 "../src/Services/PasswordManager.vala"
	_data_->_state_ = 1;
#line 62 "../src/Services/PasswordManager.vala"
	secret_password_clearv (_data_->_tmp8_, _data_->attributes, NULL, sequeler_services_password_manager_clear_password_async_ready, _data_);
#line 62 "../src/Services/PasswordManager.vala"
	return FALSE;
#line 792 "PasswordManager.c"
	_state_1:
#line 62 "../src/Services/PasswordManager.vala"
	_data_->removed = secret_password_clear_finish (_data_->_res_, &_data_->_inner_error0_);
#line 62 "../src/Services/PasswordManager.vala"
	if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 62 "../src/Services/PasswordManager.vala"
		g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 62 "../src/Services/PasswordManager.vala"
		_g_free0 (_data_->key_name);
#line 62 "../src/Services/PasswordManager.vala"
		_g_hash_table_unref0 (_data_->attributes);
#line 62 "../src/Services/PasswordManager.vala"
		g_object_unref (_data_->_async_result);
#line 62 "../src/Services/PasswordManager.vala"
		return FALSE;
#line 808 "PasswordManager.c"
	}
#line 64 "../src/Services/PasswordManager.vala"
	if (!_data_->removed) {
#line 65 "../src/Services/PasswordManager.vala"
		g_debug ("PasswordManager.vala:65: Unable to clear password in libsecret keyring" \
" for %s", _data_->key_name);
#line 814 "PasswordManager.c"
	}
#line 55 "../src/Services/PasswordManager.vala"
	_g_free0 (_data_->key_name);
#line 55 "../src/Services/PasswordManager.vala"
	_g_hash_table_unref0 (_data_->attributes);
#line 55 "../src/Services/PasswordManager.vala"
	g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 55 "../src/Services/PasswordManager.vala"
	if (_data_->_state_ != 0) {
#line 55 "../src/Services/PasswordManager.vala"
		while (!g_task_get_completed (_data_->_async_result)) {
#line 55 "../src/Services/PasswordManager.vala"
			g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 828 "PasswordManager.c"
		}
	}
#line 55 "../src/Services/PasswordManager.vala"
	g_object_unref (_data_->_async_result);
#line 55 "../src/Services/PasswordManager.vala"
	return FALSE;
#line 835 "PasswordManager.c"
}

void
sequeler_services_password_manager_clear_password_async (SequelerServicesPasswordManager* self,
                                                         const gchar* id,
                                                         GAsyncReadyCallback _callback_,
                                                         gpointer _user_data_)
{
#line 22 "../src/Services/PasswordManager.vala"
	SEQUELER_SERVICES_PASSWORD_MANAGER_GET_CLASS (self)->clear_password_async (self, id, _callback_, _user_data_);
#line 846 "PasswordManager.c"
}

void
sequeler_services_password_manager_clear_password_finish (SequelerServicesPasswordManager* self,
                                                          GAsyncResult* _res_,
                                                          GError** error)
{
#line 22 "../src/Services/PasswordManager.vala"
	SEQUELER_SERVICES_PASSWORD_MANAGER_GET_CLASS (self)->clear_password_finish (self, _res_, error);
#line 856 "PasswordManager.c"
}

static void
sequeler_services_password_manager_real_clear_all_passwords_async_data_free (gpointer _data)
{
	SequelerServicesPasswordManagerClearAllPasswordsAsyncData* _data_;
	_data_ = _data;
#line 22 "../src/Services/PasswordManager.vala"
	_g_object_unref0 (_data_->self);
#line 22 "../src/Services/PasswordManager.vala"
	g_slice_free (SequelerServicesPasswordManagerClearAllPasswordsAsyncData, _data_);
#line 868 "PasswordManager.c"
}

static void
sequeler_services_password_manager_real_clear_all_passwords_async (SequelerServicesPasswordManager* self,
                                                                   GAsyncReadyCallback _callback_,
                                                                   gpointer _user_data_)
{
	SequelerServicesPasswordManagerClearAllPasswordsAsyncData* _data_;
	SequelerServicesPasswordManager* _tmp0_;
#line 22 "../src/Services/PasswordManager.vala"
	_data_ = g_slice_new0 (SequelerServicesPasswordManagerClearAllPasswordsAsyncData);
#line 22 "../src/Services/PasswordManager.vala"
	_data_->_async_result = g_task_new (G_OBJECT (self), NULL, _callback_, _user_data_);
#line 22 "../src/Services/PasswordManager.vala"
	g_task_set_task_data (_data_->_async_result, _data_, sequeler_services_password_manager_real_clear_all_passwords_async_data_free);
#line 22 "../src/Services/PasswordManager.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 22 "../src/Services/PasswordManager.vala"
	_data_->self = _tmp0_;
#line 22 "../src/Services/PasswordManager.vala"
	sequeler_services_password_manager_real_clear_all_passwords_async_co (_data_);
#line 890 "PasswordManager.c"
}

static void
sequeler_services_password_manager_real_clear_all_passwords_finish (SequelerServicesPasswordManager* self,
                                                                    GAsyncResult* _res_,
                                                                    GError** error)
{
	SequelerServicesPasswordManagerClearAllPasswordsAsyncData* _data_;
#line 22 "../src/Services/PasswordManager.vala"
	_data_ = g_task_propagate_pointer (G_TASK (_res_), error);
#line 22 "../src/Services/PasswordManager.vala"
	if (NULL == _data_) {
#line 22 "../src/Services/PasswordManager.vala"
		return;
#line 905 "PasswordManager.c"
	}
}

static void
sequeler_services_password_manager_clear_all_passwords_async_ready (GObject* source_object,
                                                                    GAsyncResult* _res_,
                                                                    gpointer _user_data_)
{
	SequelerServicesPasswordManagerClearAllPasswordsAsyncData* _data_;
#line 73 "../src/Services/PasswordManager.vala"
	_data_ = _user_data_;
#line 73 "../src/Services/PasswordManager.vala"
	_data_->_source_object_ = source_object;
#line 73 "../src/Services/PasswordManager.vala"
	_data_->_res_ = _res_;
#line 73 "../src/Services/PasswordManager.vala"
	sequeler_services_password_manager_real_clear_all_passwords_async_co (_data_);
#line 923 "PasswordManager.c"
}

static gboolean
sequeler_services_password_manager_real_clear_all_passwords_async_co (SequelerServicesPasswordManagerClearAllPasswordsAsyncData* _data_)
{
#line 69 "../src/Services/PasswordManager.vala"
	switch (_data_->_state_) {
#line 69 "../src/Services/PasswordManager.vala"
		case 0:
#line 933 "PasswordManager.c"
		goto _state_0;
#line 69 "../src/Services/PasswordManager.vala"
		case 1:
#line 937 "PasswordManager.c"
		goto _state_1;
		default:
#line 69 "../src/Services/PasswordManager.vala"
		g_assert_not_reached ();
#line 942 "PasswordManager.c"
	}
	_state_0:
#line 70 "../src/Services/PasswordManager.vala"
	_data_->_tmp0_ = g_str_hash;
#line 70 "../src/Services/PasswordManager.vala"
	_data_->_tmp1_ = g_str_equal;
#line 70 "../src/Services/PasswordManager.vala"
	_data_->_tmp2_ = g_hash_table_new_full (_data_->_tmp0_, _data_->_tmp1_, _g_free0_, _g_free0_);
#line 70 "../src/Services/PasswordManager.vala"
	_data_->attributes = _data_->_tmp2_;
#line 71 "../src/Services/PasswordManager.vala"
	_data_->_tmp3_ = g_strdup ("schema");
#line 71 "../src/Services/PasswordManager.vala"
	_data_->_tmp4_ = g_strdup (CONSTANTS_PROJECT_NAME);
#line 71 "../src/Services/PasswordManager.vala"
	g_hash_table_insert (_data_->attributes, _data_->_tmp3_, _data_->_tmp4_);
#line 73 "../src/Services/PasswordManager.vala"
	_data_->_tmp5_ = sequeler_schema;
#line 73 "../src/Services/PasswordManager.vala"
	_data_->_state_ = 1;
#line 73 "../src/Services/PasswordManager.vala"
	secret_password_clearv (_data_->_tmp5_, _data_->attributes, NULL, sequeler_services_password_manager_clear_all_passwords_async_ready, _data_);
#line 73 "../src/Services/PasswordManager.vala"
	return FALSE;
#line 967 "PasswordManager.c"
	_state_1:
#line 73 "../src/Services/PasswordManager.vala"
	_data_->removed = secret_password_clear_finish (_data_->_res_, &_data_->_inner_error0_);
#line 73 "../src/Services/PasswordManager.vala"
	if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 73 "../src/Services/PasswordManager.vala"
		g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 73 "../src/Services/PasswordManager.vala"
		_g_hash_table_unref0 (_data_->attributes);
#line 73 "../src/Services/PasswordManager.vala"
		g_object_unref (_data_->_async_result);
#line 73 "../src/Services/PasswordManager.vala"
		return FALSE;
#line 981 "PasswordManager.c"
	}
#line 75 "../src/Services/PasswordManager.vala"
	if (!_data_->removed) {
#line 76 "../src/Services/PasswordManager.vala"
		g_debug ("PasswordManager.vala:76: Unable to clear all passwords in libsecret");
#line 987 "PasswordManager.c"
	}
#line 69 "../src/Services/PasswordManager.vala"
	_g_hash_table_unref0 (_data_->attributes);
#line 69 "../src/Services/PasswordManager.vala"
	g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 69 "../src/Services/PasswordManager.vala"
	if (_data_->_state_ != 0) {
#line 69 "../src/Services/PasswordManager.vala"
		while (!g_task_get_completed (_data_->_async_result)) {
#line 69 "../src/Services/PasswordManager.vala"
			g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 999 "PasswordManager.c"
		}
	}
#line 69 "../src/Services/PasswordManager.vala"
	g_object_unref (_data_->_async_result);
#line 69 "../src/Services/PasswordManager.vala"
	return FALSE;
#line 1006 "PasswordManager.c"
}

void
sequeler_services_password_manager_clear_all_passwords_async (SequelerServicesPasswordManager* self,
                                                              GAsyncReadyCallback _callback_,
                                                              gpointer _user_data_)
{
#line 22 "../src/Services/PasswordManager.vala"
	SEQUELER_SERVICES_PASSWORD_MANAGER_GET_CLASS (self)->clear_all_passwords_async (self, _callback_, _user_data_);
#line 1016 "PasswordManager.c"
}

void
sequeler_services_password_manager_clear_all_passwords_finish (SequelerServicesPasswordManager* self,
                                                               GAsyncResult* _res_,
                                                               GError** error)
{
#line 22 "../src/Services/PasswordManager.vala"
	SEQUELER_SERVICES_PASSWORD_MANAGER_GET_CLASS (self)->clear_all_passwords_finish (self, _res_, error);
#line 1026 "PasswordManager.c"
}

SequelerServicesPasswordManager*
sequeler_services_password_manager_construct (GType object_type)
{
	SequelerServicesPasswordManager * self = NULL;
#line 22 "../src/Services/PasswordManager.vala"
	self = (SequelerServicesPasswordManager*) g_object_new (object_type, NULL);
#line 22 "../src/Services/PasswordManager.vala"
	return self;
#line 1037 "PasswordManager.c"
}

SequelerServicesPasswordManager*
sequeler_services_password_manager_new (void)
{
#line 22 "../src/Services/PasswordManager.vala"
	return sequeler_services_password_manager_construct (SEQUELER_SERVICES_TYPE_PASSWORD_MANAGER);
#line 1045 "PasswordManager.c"
}

static void
sequeler_services_password_manager_class_init (SequelerServicesPasswordManagerClass * klass,
                                               gpointer klass_data)
{
#line 22 "../src/Services/PasswordManager.vala"
	sequeler_services_password_manager_parent_class = g_type_class_peek_parent (klass);
#line 22 "../src/Services/PasswordManager.vala"
	((SequelerServicesPasswordManagerClass *) klass)->store_password_async = (void (*) (SequelerServicesPasswordManager*, const gchar*, const gchar*, GAsyncReadyCallback, gpointer)) sequeler_services_password_manager_real_store_password_async;
#line 22 "../src/Services/PasswordManager.vala"
	((SequelerServicesPasswordManagerClass *) klass)->store_password_finish = (void (*) (SequelerServicesPasswordManager*, GAsyncResult*, GError**)) sequeler_services_password_manager_real_store_password_finish;
#line 22 "../src/Services/PasswordManager.vala"
	((SequelerServicesPasswordManagerClass *) klass)->get_password_async = (void (*) (SequelerServicesPasswordManager*, const gchar*, GAsyncReadyCallback, gpointer)) sequeler_services_password_manager_real_get_password_async;
#line 22 "../src/Services/PasswordManager.vala"
	((SequelerServicesPasswordManagerClass *) klass)->get_password_finish = (gchar* (*) (SequelerServicesPasswordManager*, GAsyncResult*, GError**)) sequeler_services_password_manager_real_get_password_finish;
#line 22 "../src/Services/PasswordManager.vala"
	((SequelerServicesPasswordManagerClass *) klass)->clear_password_async = (void (*) (SequelerServicesPasswordManager*, const gchar*, GAsyncReadyCallback, gpointer)) sequeler_services_password_manager_real_clear_password_async;
#line 22 "../src/Services/PasswordManager.vala"
	((SequelerServicesPasswordManagerClass *) klass)->clear_password_finish = (void (*) (SequelerServicesPasswordManager*, GAsyncResult*, GError**)) sequeler_services_password_manager_real_clear_password_finish;
#line 22 "../src/Services/PasswordManager.vala"
	((SequelerServicesPasswordManagerClass *) klass)->clear_all_passwords_async = (void (*) (SequelerServicesPasswordManager*, GAsyncReadyCallback, gpointer)) sequeler_services_password_manager_real_clear_all_passwords_async;
#line 22 "../src/Services/PasswordManager.vala"
	((SequelerServicesPasswordManagerClass *) klass)->clear_all_passwords_finish = (void (*) (SequelerServicesPasswordManager*, GAsyncResult*, GError**)) sequeler_services_password_manager_real_clear_all_passwords_finish;
#line 1070 "PasswordManager.c"
}

static void
sequeler_services_password_manager_instance_init (SequelerServicesPasswordManager * self,
                                                  gpointer klass)
{
}

GType
sequeler_services_password_manager_get_type (void)
{
	static volatile gsize sequeler_services_password_manager_type_id__volatile = 0;
	if (g_once_init_enter (&sequeler_services_password_manager_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (SequelerServicesPasswordManagerClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) sequeler_services_password_manager_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (SequelerServicesPasswordManager), 0, (GInstanceInitFunc) sequeler_services_password_manager_instance_init, NULL };
		GType sequeler_services_password_manager_type_id;
		sequeler_services_password_manager_type_id = g_type_register_static (G_TYPE_OBJECT, "SequelerServicesPasswordManager", &g_define_type_info, 0);
		g_once_init_leave (&sequeler_services_password_manager_type_id__volatile, sequeler_services_password_manager_type_id);
	}
	return sequeler_services_password_manager_type_id__volatile;
}

